Package ghidra.app.plugin.assembler.sleigh.expr.match

# Class FieldSizeMatcher

java.lang.Object
ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher<PatternValue>
ghidra.app.plugin.assembler.sleigh.expr.match.FieldSizeMatcher

All Implemented Interfaces:
  `ExpressionMatcher<PatternValue>`

public class FieldSizeMatcher extends AbstractExpressionMatcher<PatternValue>
A matcher for a token or context field, constrained by its size in bits

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.app.plugin.assembler.sleigh.expr.match.ExpressionMatcher

  `ExpressionMatcher.Context`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ExpressionMatcher<?>`
  `sizeMatcher`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher

  `ops`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldSizeMatcher(ExpressionMatcher<?> sizeMatcher)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `matchDetails(PatternValue expression, Map<ExpressionMatcher<?>,PatternExpression> result)`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher

  `expressionsIdenticallyDefined, match, opMatches, recordResult`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.plugin.assembler.sleigh.expr.match.ExpressionMatcher

  `get, match`

- ## Field Details

  - ### sizeMatcher

    protected final ExpressionMatcher<?> sizeMatcher

- ## Constructor Details

  - ### FieldSizeMatcher

    public FieldSizeMatcher(ExpressionMatcher<?> sizeMatcher)

- ## Method Details

  - ### matchDetails

    protected boolean matchDetails(PatternValue expression, Map<ExpressionMatcher<?>,PatternExpression> result)
    Specified by:
      `matchDetails` in class `AbstractExpressionMatcher<PatternValue>`